Bug 1507859 - Upgrading Qt to 5.9.2: QtQuick Application window not showing up
Summary: Upgrading Qt to 5.9.2: QtQuick Application window not showing up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 10:44 UTC by Miro Hrončok
Modified: 2017-11-14 09:23 UTC (History)
7 users (show)

Fixed In Version: qt5-qtdeclarative-5.9.2-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 00:54:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-63770 None None None 2017-10-31 12:45:25 UTC

Description Miro Hrončok 2017-10-31 10:44:11 UTC
Description of problem:

After upgrading Qt 5 from 5.9.1 to 5.9.2, cura main window doesn't show up.

This has been reported to cura upstream [0].

And what I'm 99 % sure is relevant was reported to upstream Qt [1].


Since this is a 5.9.x update, I don't expect it to change the API in such a way that the apps in Fedora just stops running, hence I reporting it here as well.


Version-Release number of selected component (if applicable):
qt5-qtbase-5.9.2-3.fc27.x86_64

How reproducible: always


Steps to Reproduce:
1. have qt 5.9.1
2. install cura (either 2.7.0 or 3.0.3 from bodhi [2]) 
3. start cura, observe, end cura
4. update to qt 5.9.2
5. 3. start cura (from console), observe, end cura (with Ctrl+C if necessary)

Actual results:
with 5.9.1 cura shows splashscreen and after a while a main window
with 5.9.2 cura shows splashscreen and after a while no window is shown, but cura runs and thinks the window is shown

Expected results:
with 5.9.1 and 5.9.2 cura shows splashscreen and after a while a main window


Additional info:

This might very well be a bug in cura. however I don't expect a patch version update should introduce such a change. it's also very hard to debug, since no actual error happens.

Thanks for help.

[0] https://github.com/Ultimaker/Cura/issues/2596
[1] https://bugreports.qt.io/browse/QTBUG-63770
[2] https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d63e44419

Comment 1 Rex Dieter 2017-10-31 12:45:25 UTC
Mind testing this build to see if it helps?

https://koji.fedoraproject.org/koji/buildinfo?buildID=989900

Comment 2 Rex Dieter 2017-10-31 12:50:01 UTC
Hrm, this may well not be QTBUG-63770, the offending regression'ish commit was reverted in qt5-qtdeclarative-5.9.2-2 and cura still doesn't start properly for me.  I tested with cura-2.7.0-2.fc27

Comment 3 Miro Hrončok 2017-10-31 13:11:06 UTC
(In reply to Rex Dieter from comment #1)
> Mind testing this build to see if it helps?
> 
> https://koji.fedoraproject.org/koji/buildinfo?buildID=989900

Actually fixes it for me and cura 3.0.3

Comment 5 Fedora Update System 2017-10-31 13:31:10 UTC
calibre-3.4.0-5.fc27 deepin-tool-kit-0.3.3-2.fc27 fcitx-qt5-1.1.1-2.fc27 gammaray-2.8.1-2.fc27 kf5-akonadi-server-17.08.1-3.fc27 kf5-frameworkintegration-5.39.0-2.fc27 kf5-kdeclarative-5.39.0-2.fc27 kf5-kwayland-5.39.0-2.fc27 kwin-5.10.5-2.fc27 libfm-qt-0.11.2-7.fc27 lxqt-qtplugin-0.11.1-7.fc27 plasma-integration-5.10.5-2.fc27 python-qt5-5.9-8.fc27 qgnomeplatform-0.3-5.fc27 qstardict-1.2-5.fc27 qt-creator-4.4.1-2.fc27 qt5-doc-5.9.2-1.fc27 qt5-qt3d-5.9.2-1.fc27 qt5-qtbase-5.9.2-3.fc27 qt5-qtcanvas3d-5.9.2-1.fc27 qt5-qtconnectivity-5.9.2-1.fc27 qt5-qtdeclarative-5.9.2-2.fc27 qt5-qtdoc-5.9.2-1.fc27 qt5-qtgraphicaleffects-5.9.2-1.fc27 qt5-qtimageformats-5.9.2-1.fc27 qt5-qtlocation-5.9.2-1.fc27 qt5-qtmultimedia-5.9.2-1.fc27 qt5-qtquickcontrols-5.9.2-1.fc27 qt5-qtquickcontrols2-5.9.2-1.fc27 qt5-qtscript-5.9.2-1.fc27 qt5-qtsensors-5.9.2-1.fc27 qt5-qtserialbus-5.9.2-1.fc27 qt5-qtserialport-5.9.2-1.fc27 qt5-qtstyleplugins-5.0.0-21.fc27 qt5-qtsvg-5.9.2-1.fc27 qt5-qttools-5.9.2-1.fc27 qt5-qttranslations-5.9.2-1.fc27 qt5-qtvirtualkeyboard-5.9.2-1.fc27 qt5-qtwayland-5.9.2-1.fc27 qt5-qtwebchannel-5.9.2-1.fc27 qt5-qtwebengine-5.9.1-5.fc27 qt5-qtwebkit-5.212.0-0.12.alpha2.fc27 qt5-qtwebsockets-5.9.2-1.fc27 qt5-qtx11extras-5.9.2-1.fc27 qt5-qtxmlpatterns-5.9.2-1.fc27 qt5ct-0.33-2.fc27 ugene-1.27.0-8.fc27 yarock-1.1.6-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ebb1d005c

Comment 6 Fedora Update System 2017-10-31 13:32:17 UTC
calibre-3.4.0-5.fc27 deepin-tool-kit-0.3.3-2.fc27 fcitx-qt5-1.1.1-2.fc27 gammaray-2.8.1-2.fc27 kf5-akonadi-server-17.08.1-3.fc27 kf5-frameworkintegration-5.39.0-2.fc27 kf5-kdeclarative-5.39.0-2.fc27 kf5-kwayland-5.39.0-2.fc27 kwin-5.10.5-2.fc27 libfm-qt-0.11.2-7.fc27 lxqt-qtplugin-0.11.1-7.fc27 plasma-integration-5.10.5-2.fc27 python-qt5-5.9-8.fc27 qgnomeplatform-0.3-5.fc27 qstardict-1.2-5.fc27 qt-creator-4.4.1-2.fc27 qt5-doc-5.9.2-1.fc27 qt5-qt3d-5.9.2-1.fc27 qt5-qtbase-5.9.2-3.fc27 qt5-qtcanvas3d-5.9.2-1.fc27 qt5-qtconnectivity-5.9.2-1.fc27 qt5-qtdeclarative-5.9.2-2.fc27 qt5-qtdoc-5.9.2-1.fc27 qt5-qtgraphicaleffects-5.9.2-1.fc27 qt5-qtimageformats-5.9.2-1.fc27 qt5-qtlocation-5.9.2-1.fc27 qt5-qtmultimedia-5.9.2-1.fc27 qt5-qtquickcontrols-5.9.2-1.fc27 qt5-qtquickcontrols2-5.9.2-1.fc27 qt5-qtscript-5.9.2-1.fc27 qt5-qtsensors-5.9.2-1.fc27 qt5-qtserialbus-5.9.2-1.fc27 qt5-qtserialport-5.9.2-1.fc27 qt5-qtstyleplugins-5.0.0-21.fc27 qt5-qtsvg-5.9.2-1.fc27 qt5-qttools-5.9.2-1.fc27 qt5-qttranslations-5.9.2-1.fc27 qt5-qtvirtualkeyboard-5.9.2-1.fc27 qt5-qtwayland-5.9.2-1.fc27 qt5-qtwebchannel-5.9.2-1.fc27 qt5-qtwebengine-5.9.1-5.fc27 qt5-qtwebkit-5.212.0-0.12.alpha2.fc27 qt5-qtwebsockets-5.9.2-1.fc27 qt5-qtx11extras-5.9.2-1.fc27 qt5-qtxmlpatterns-5.9.2-1.fc27 qt5ct-0.33-2.fc27 ugene-1.27.0-8.fc27 yarock-1.1.6-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ebb1d005c

Comment 7 Fedora Update System 2017-10-31 19:08:30 UTC
calibre-3.4.0-5.fc27, deepin-tool-kit-0.3.3-2.fc27, fcitx-qt5-1.1.1-2.fc27, gammaray-2.8.1-2.fc27, kf5-akonadi-server-17.08.1-3.fc27, kf5-frameworkintegration-5.39.0-2.fc27, kf5-kdeclarative-5.39.0-2.fc27, kf5-kwayland-5.39.0-2.fc27, kwin-5.10.5-2.fc27, libfm-qt-0.11.2-7.fc27, lxqt-qtplugin-0.11.1-7.fc27, plasma-integration-5.10.5-2.fc27, python-qt5-5.9-8.fc27, qgnomeplatform-0.3-5.fc27, qstardict-1.2-5.fc27, qt-creator-4.4.1-2.fc27, qt5-doc-5.9.2-1.fc27, qt5-qt3d-5.9.2-1.fc27, qt5-qtbase-5.9.2-3.fc27, qt5-qtcanvas3d-5.9.2-1.fc27, qt5-qtconnectivity-5.9.2-1.fc27, qt5-qtdeclarative-5.9.2-2.fc27, qt5-qtdoc-5.9.2-1.fc27, qt5-qtgraphicaleffects-5.9.2-1.fc27, qt5-qtimageformats-5.9.2-1.fc27, qt5-qtlocation-5.9.2-1.fc27, qt5-qtmultimedia-5.9.2-1.fc27, qt5-qtquickcontrols-5.9.2-1.fc27, qt5-qtquickcontrols2-5.9.2-1.fc27, qt5-qtscript-5.9.2-1.fc27, qt5-qtsensors-5.9.2-1.fc27, qt5-qtserialbus-5.9.2-1.fc27, qt5-qtserialport-5.9.2-1.fc27, qt5-qtstyleplugins-5.0.0-21.fc27, qt5-qtsvg-5.9.2-1.fc27, qt5-qttools-5.9.2-1.fc27, qt5-qttranslations-5.9.2-1.fc27, qt5-qtvirtualkeyboard-5.9.2-1.fc27, qt5-qtwayland-5.9.2-1.fc27, qt5-qtwebchannel-5.9.2-1.fc27, qt5-qtwebengine-5.9.1-5.fc27, qt5-qtwebkit-5.212.0-0.12.alpha2.fc27, qt5-qtwebsockets-5.9.2-1.fc27, qt5-qtx11extras-5.9.2-1.fc27, qt5-qtxmlpatterns-5.9.2-1.fc27, qt5ct-0.33-2.fc27, ugene-1.27.0-8.fc27, yarock-1.1.6-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ebb1d005c

Comment 8 Fedora Update System 2017-11-08 20:29:22 UTC
calibre-3.4.0-5.fc27 deepin-tool-kit-0.3.3-2.fc27 fcitx-qt5-1.1.1-2.fc27 gammaray-2.8.1-2.fc27 kf5-akonadi-server-17.08.1-3.fc27 kf5-frameworkintegration-5.39.0-2.fc27 kf5-kdeclarative-5.39.0-2.fc27 kf5-kwayland-5.39.0-2.fc27 kwin-5.10.5-2.fc27 libfm-qt-0.11.2-7.fc27 lxqt-qtplugin-0.11.1-7.fc27 plasma-integration-5.10.5-2.fc27 python-qt5-5.9-8.fc27 qgnomeplatform-0.3-5.fc27 qstardict-1.2-5.fc27 qt-creator-4.4.1-2.fc27 qt5-doc-5.9.2-1.fc27 qt5-qt3d-5.9.2-1.fc27 qt5-qtbase-5.9.2-4.fc27 qt5-qtcanvas3d-5.9.2-1.fc27 qt5-qtconnectivity-5.9.2-1.fc27 qt5-qtdeclarative-5.9.2-2.fc27 qt5-qtdoc-5.9.2-1.fc27 qt5-qtgraphicaleffects-5.9.2-1.fc27 qt5-qtimageformats-5.9.2-1.fc27 qt5-qtlocation-5.9.2-1.fc27 qt5-qtmultimedia-5.9.2-1.fc27 qt5-qtquickcontrols-5.9.2-1.fc27 qt5-qtquickcontrols2-5.9.2-1.fc27 qt5-qtscript-5.9.2-1.fc27 qt5-qtsensors-5.9.2-1.fc27 qt5-qtserialbus-5.9.2-1.fc27 qt5-qtserialport-5.9.2-1.fc27 qt5-qtstyleplugins-5.0.0-21.fc27 qt5-qtsvg-5.9.2-1.fc27 qt5-qttools-5.9.2-1.fc27 qt5-qttranslations-5.9.2-1.fc27 qt5-qtvirtualkeyboard-5.9.2-1.fc27 qt5-qtwayland-5.9.2-1.fc27 qt5-qtwebchannel-5.9.2-1.fc27 qt5-qtwebengine-5.9.1-5.fc27 qt5-qtwebkit-5.212.0-0.12.alpha2.fc27 qt5-qtwebsockets-5.9.2-1.fc27 qt5-qtx11extras-5.9.2-1.fc27 qt5-qtxmlpatterns-5.9.2-1.fc27 qt5ct-0.33-2.fc27 ugene-1.27.0-8.fc27 yarock-1.1.6-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ebb1d005c

Comment 9 Fedora Update System 2017-11-09 19:54:09 UTC
calibre-3.4.0-5.fc27, deepin-tool-kit-0.3.3-2.fc27, fcitx-qt5-1.1.1-2.fc27, gammaray-2.8.1-2.fc27, kf5-akonadi-server-17.08.1-3.fc27, kf5-frameworkintegration-5.39.0-2.fc27, kf5-kdeclarative-5.39.0-2.fc27, kf5-kwayland-5.39.0-2.fc27, kwin-5.10.5-2.fc27, libfm-qt-0.11.2-7.fc27, lxqt-qtplugin-0.11.1-7.fc27, plasma-integration-5.10.5-2.fc27, python-qt5-5.9-8.fc27, qgnomeplatform-0.3-5.fc27, qstardict-1.2-5.fc27, qt-creator-4.4.1-2.fc27, qt5-doc-5.9.2-1.fc27, qt5-qt3d-5.9.2-1.fc27, qt5-qtbase-5.9.2-4.fc27, qt5-qtcanvas3d-5.9.2-1.fc27, qt5-qtconnectivity-5.9.2-1.fc27, qt5-qtdeclarative-5.9.2-2.fc27, qt5-qtdoc-5.9.2-1.fc27, qt5-qtgraphicaleffects-5.9.2-1.fc27, qt5-qtimageformats-5.9.2-1.fc27, qt5-qtlocation-5.9.2-1.fc27, qt5-qtmultimedia-5.9.2-1.fc27, qt5-qtquickcontrols-5.9.2-1.fc27, qt5-qtquickcontrols2-5.9.2-1.fc27, qt5-qtscript-5.9.2-1.fc27, qt5-qtsensors-5.9.2-1.fc27, qt5-qtserialbus-5.9.2-1.fc27, qt5-qtserialport-5.9.2-1.fc27, qt5-qtstyleplugins-5.0.0-21.fc27, qt5-qtsvg-5.9.2-1.fc27, qt5-qttools-5.9.2-1.fc27, qt5-qttranslations-5.9.2-1.fc27, qt5-qtvirtualkeyboard-5.9.2-1.fc27, qt5-qtwayland-5.9.2-1.fc27, qt5-qtwebchannel-5.9.2-1.fc27, qt5-qtwebengine-5.9.1-5.fc27, qt5-qtwebkit-5.212.0-0.12.alpha2.fc27, qt5-qtwebsockets-5.9.2-1.fc27, qt5-qtx11extras-5.9.2-1.fc27, qt5-qtxmlpatterns-5.9.2-1.fc27, qt5ct-0.33-2.fc27, ugene-1.27.0-8.fc27, yarock-1.1.6-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ebb1d005c

Comment 10 Fedora Update System 2017-11-14 00:54:48 UTC
calibre-3.4.0-5.fc27, deepin-tool-kit-0.3.3-2.fc27, fcitx-qt5-1.1.1-2.fc27, gammaray-2.8.1-2.fc27, kf5-akonadi-server-17.08.1-3.fc27, kf5-frameworkintegration-5.39.0-2.fc27, kf5-kdeclarative-5.39.0-2.fc27, kf5-kwayland-5.39.0-2.fc27, kwin-5.10.5-2.fc27, libfm-qt-0.11.2-7.fc27, lxqt-qtplugin-0.11.1-7.fc27, plasma-integration-5.10.5-2.fc27, python-qt5-5.9-8.fc27, qgnomeplatform-0.3-5.fc27, qstardict-1.2-5.fc27, qt-creator-4.4.1-2.fc27, qt5-doc-5.9.2-1.fc27, qt5-qt3d-5.9.2-1.fc27, qt5-qtbase-5.9.2-4.fc27, qt5-qtcanvas3d-5.9.2-1.fc27, qt5-qtconnectivity-5.9.2-1.fc27, qt5-qtdeclarative-5.9.2-2.fc27, qt5-qtdoc-5.9.2-1.fc27, qt5-qtgraphicaleffects-5.9.2-1.fc27, qt5-qtimageformats-5.9.2-1.fc27, qt5-qtlocation-5.9.2-1.fc27, qt5-qtmultimedia-5.9.2-1.fc27, qt5-qtquickcontrols-5.9.2-1.fc27, qt5-qtquickcontrols2-5.9.2-1.fc27, qt5-qtscript-5.9.2-1.fc27, qt5-qtsensors-5.9.2-1.fc27, qt5-qtserialbus-5.9.2-1.fc27, qt5-qtserialport-5.9.2-1.fc27, qt5-qtstyleplugins-5.0.0-21.fc27, qt5-qtsvg-5.9.2-1.fc27, qt5-qttools-5.9.2-1.fc27, qt5-qttranslations-5.9.2-1.fc27, qt5-qtvirtualkeyboard-5.9.2-1.fc27, qt5-qtwayland-5.9.2-1.fc27, qt5-qtwebchannel-5.9.2-1.fc27, qt5-qtwebengine-5.9.1-5.fc27, qt5-qtwebkit-5.212.0-0.12.alpha2.fc27, qt5-qtwebsockets-5.9.2-1.fc27, qt5-qtx11extras-5.9.2-1.fc27, qt5-qtxmlpatterns-5.9.2-1.fc27, qt5ct-0.33-2.fc27, ugene-1.27.0-8.fc27, yarock-1.1.6-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-14 09:23:01 UTC
calibre-3.4.0-5.fc27, deepin-tool-kit-0.3.3-2.fc27, fcitx-qt5-1.1.1-2.fc27, gammaray-2.8.1-2.fc27, kf5-akonadi-server-17.08.1-3.fc27, kf5-frameworkintegration-5.39.0-2.fc27, kf5-kdeclarative-5.39.0-2.fc27, kf5-kwayland-5.39.0-2.fc27, kwin-5.10.5-2.fc27, libfm-qt-0.11.2-7.fc27, lxqt-qtplugin-0.11.1-7.fc27, plasma-integration-5.10.5-2.fc27, python-qt5-5.9-8.fc27, qgnomeplatform-0.3-5.fc27, qstardict-1.2-5.fc27, qt-creator-4.4.1-2.fc27, qt5-doc-5.9.2-1.fc27, qt5-qt3d-5.9.2-1.fc27, qt5-qtbase-5.9.2-4.fc27, qt5-qtcanvas3d-5.9.2-1.fc27, qt5-qtconnectivity-5.9.2-1.fc27, qt5-qtdeclarative-5.9.2-2.fc27, qt5-qtdoc-5.9.2-1.fc27, qt5-qtgraphicaleffects-5.9.2-1.fc27, qt5-qtimageformats-5.9.2-1.fc27, qt5-qtlocation-5.9.2-1.fc27, qt5-qtmultimedia-5.9.2-1.fc27, qt5-qtquickcontrols-5.9.2-1.fc27, qt5-qtquickcontrols2-5.9.2-1.fc27, qt5-qtscript-5.9.2-1.fc27, qt5-qtsensors-5.9.2-1.fc27, qt5-qtserialbus-5.9.2-1.fc27, qt5-qtserialport-5.9.2-1.fc27, qt5-qtstyleplugins-5.0.0-21.fc27, qt5-qtsvg-5.9.2-1.fc27, qt5-qttools-5.9.2-1.fc27, qt5-qttranslations-5.9.2-1.fc27, qt5-qtvirtualkeyboard-5.9.2-1.fc27, qt5-qtwayland-5.9.2-1.fc27, qt5-qtwebchannel-5.9.2-1.fc27, qt5-qtwebengine-5.9.1-5.fc27, qt5-qtwebkit-5.212.0-0.12.alpha2.fc27, qt5-qtwebsockets-5.9.2-1.fc27, qt5-qtx11extras-5.9.2-1.fc27, qt5-qtxmlpatterns-5.9.2-1.fc27, qt5ct-0.33-2.fc27, ugene-1.27.0-8.fc27, yarock-1.1.6-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.